## llvm-3.2 3.2~rc3

=== debian/changelog ===
llvm-3.2 (3.2~rc3-1ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Clean auto-generated files in debian/.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Dec 2012 11:51:47 +0100

llvm-3.2 (3.2~rc3-1) unstable; urgency=low

  * Disable the test suite (fails under i386).
    See http://llvm.org/bugs/show_bug.cgi?id=14534
  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 17 Dec 2012 16:13:31 +0100

llvm-3.2 (3.2~rc3-1~exp1ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Clean auto-generated files in debian/.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 07 Dec 2012 09:50:12 +0100

llvm-3.2 (3.2~rc3-1~exp1) experimental; urgency=low

  * New testing upstream release
  * Update the creation of llvm-source, something, the upstream tarball is 
    called llvm.src, sometimes llvm-X.Y

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 06 Dec 2012 09:00:57 +0100

llvm-3.2 (3.2~rc2-1~exp1) experimental; urgency=low

  * New testing upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 04 Dec 2012 09:00:41 +0100

llvm-3.2 (3.2~rc1-1~exp4ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - debian/rules: Don't set GCC_VERSION.
    - Clean auto-generated files in debian/.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Nov 2012 14:40:31 +0100

llvm-3.2 (3.2~rc1-1~exp4) experimental; urgency=low

  * Clean up the debian/patches/ directory
  * Use absolute path to copy debian.h
  * Remove patch "0032-x86-fast-isel-fs-load.patch" which seems to cause
    side effects in the test suite.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 26 Nov 2012 17:09:23 +0100

llvm-3.2 (3.2~rc1-1~exp3ubuntu1) raring; urgency=low

  * Clean debian directory.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Nov 2012 18:18:43 +0100

llvm-3.2 (3.2~rc1-1~exp3) experimental; urgency=low

  * Wrong path for debian.h in llvm-3.2-source tarball

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 19 Nov 2012 18:05:18 +0100

llvm-3.2 (3.2~rc1-1~exp2) experimental; urgency=low

  * Remove Arthur from uploader (no longer involved)
  * Also ship debian.h (version definition) in llvm-3.2-source tarball

  [ Matthias Klose ]

  * Sync from Ubuntu:
    - Build-depend on python
    - Enable the parallel build
    - Properly clean the package

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 18 Nov 2012 19:17:39 +0100

llvm-3.2 (3.2~rc1-1~exp1ubuntu3) raring; urgency=low

  * Build-depend on python, re-enable the parallel build.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Nov 2012 19:18:52 +0100

llvm-3.2 (3.2~rc1-1~exp1ubuntu2) raring; urgency=low

  * Disable parallel builds.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Nov 2012 18:04:36 +0100

llvm-3.2 (3.2~rc1-1~exp1ubuntu1) raring; urgency=low

  * Identify the build as Ubuntu instead of Debian.
  * Re-enable the parallel build.
  * Properly clean the package.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Nov 2012 15:02:34 +0100

llvm-3.2 (3.2~rc1-1~exp1) experimental; urgency=low

  * New testing upstream release
  * Patches updated:
    - 0045-hurd-stat.patch, 0012-RUNTESTFLAGS.patch & 0047-path_detection.diff
      applied upstream
    - 0034-ld-wrapper.patch features removed
    - 0009-Fix-doclinks.patch upstream moved to sphinx

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 15 Nov 2012 11:02:20 +0100

llvm-3.1 (3.1-3~exp7) experimental; urgency=low

  * Multiarch library path was forced to /usr/lib/x86_64-linux-gnu
    (Closes: #693041)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 14 Nov 2012 18:29:03 +0100

llvm-3.1 (3.1-3~exp6) experimental; urgency=low

  * Create a package libllvm3.1-dbg which contains the debug symbols
    (Closes: #628149)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 06 Nov 2012 10:54:17 +0100

llvm-3.1 (3.1-3~exp5) experimental; urgency=low

  * Remove some patches which were no longer used
  * Refresh the 0047-path_detection.diff patch to match the one commited
    upstream
  * 0001-Update-configure-script-for-kfreebsd-gnu-and-hurd.patch was applied
    upstream
  * Header path not matching llvm-config include-dir fixed (Closes: #689077)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 26 Sep 2012 10:49:41 +0200

llvm-3.1 (3.1-3~exp4) experimental; urgency=low

  * llvm-config and other llvm/clang binary reports bogus prefix in chroot
    (Closes: #674588)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 21 Sep 2012 08:10:33 +0200

llvm-3.1 (3.1-3~exp3) experimental; urgency=low

  * Override dh_shlibdeps and set the LD_LIBRARY_PATH to libLLVM-3.1.so.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 19 Sep 2012 18:35:13 +0200

llvm-3.1 (3.1-3~exp2) experimental; urgency=low

  * Deregister binfmt during removal (Closes: #682455)
  * Rename the binfmt package from llvm to llvm-X.Y
  * Detect the version from the changelog
  * Bring back the LLVM Vendor behavior
  * Fix a warning with llvm.binfmt
  * Clean up some old code
  * Get rid of the hardcoded version of gcc/g++

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 17 Sep 2012 15:10:40 +0200

llvm-3.1 (3.1-3~exp1) experimental; urgency=low

  * Refactoring of the build process using dh.
  * Headers are now installed into /usr/include/llvm-3.1/llvm/ and
    /usr/include/llvm-3.1/llvm-c/ (while remaining also available in
    /usr/lib/llvm-3.1/include/llvm and /usr/lib/llvm-3.1/include/llvm-c

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 14 Sep 2012 19:49:51 +0200

llvm-3.1 (3.1-2) unstable; urgency=low

  * llvm-3.1 did not include line number information recognizable by gdb
    Thanks to Ben Longbons for digging into the issue
    (Closes: #676144)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 01 Jul 2012 17:10:44 +0200

llvm-3.1 (3.1-1) unstable; urgency=low

  * New upstream release (the stable)
  * Upload in unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 21 May 2012 12:38:49 +0200

llvm-3.1 (3.1~+rc3-1) experimental; urgency=low


