## llvm-3.2 3.2

=== debian/changelog ===
llvm-3.2 (3.2-2ubuntu5~precise1) precise-proposed; urgency=low

  * Copy to precise. (LP: #1177679)
  * Drop dh-exec build-depends, not available on precise, and unused.
  * Only build i386 and amd64.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 08 May 2013 08:57:17 +0200

llvm-3.2 (3.2-2ubuntu5) raring; urgency=low

  * Fix a segfault in the exception table of the JIT code emitter.
    LP: #1160587.
  * debian/rules (llvm_source_package): Unset QUILT_PATCHES.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Apr 2013 10:49:33 +0200

llvm-3.2 (3.2-2ubuntu4) raring; urgency=low

  * r600-snapshot.diff: Updated, no longer changes the ABI (LP: #1131614).

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 27 Feb 2013 10:50:10 +0200

llvm-3.2 (3.2-2ubuntu3) raring; urgency=low

  [ Maarten Lankhorst ]
  * Remove extra libLLVM-3.2.so.1 installed by llvm-3.2-dev.
  * Add libLLVM-3.2.so symlink to /usr/lib/llvm-3.2/lib to satisfy programs
    expecting it to be there (mesa).

  [ Timo Aaltonen ]
  * rules, r600-snapshot.diff: Add R600 backend for mesa.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 11 Feb 2013 13:17:01 +0200

llvm-3.2 (3.2-2ubuntu2) raring; urgency=low

  * Use __builtin___clear_cache on ARM.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Jan 2013 23:13:47 +0100

llvm-3.2 (3.2-2ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Clean auto-generated files in debian/.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Jan 2013 23:49:54 +0100

llvm-3.2 (3.2-2) unstable; urgency=low

  * Bring back manpages + html documentation (now based on sphinx)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 23 Dec 2012 21:57:50 +0100

llvm-3.2 (3.2-1ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Clean auto-generated files in debian/.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Dec 2012 18:44:58 +0100

llvm-3.2 (3.2-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 20 Dec 2012 11:47:41 +0100
