=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: llvm-3.2
 Section: devel
 Priority: optional
-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
+XSBC-Original-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 9), flex, bison, dejagnu, tcl8.5, expect,
     autoconf, automake1.9, perl, libtool, doxygen, chrpath, texinfo, quilt,
     sharutils, autotools-dev (>= 20060702.1), libffi-dev (>= 3.0.9),
-    lsb-release, xz-utils, dh-exec (>=0.3), python,
+    lsb-release, xz-utils, python, python-sphinx,
     binutils-dev (>= 2.20.51.20100222-1~), ocaml-nox (>= 3.11.2), ocaml-best-compilers | ocaml-nox, dh-ocaml (>= 0.9.1)
 Build-Conflicts: oprofile
 Standards-Version: 3.9.3
@@ -16,7 +17,7 @@
 
 
 Package: libllvm3.2
-Architecture: any
+Architecture: amd64 i386
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -29,7 +30,7 @@
  This package contains the LLVM runtime library.
 
 Package: libllvm3.2-dbg
-Architecture: any
+Architecture: amd64 i386
 Section: debug
 Priority: extra
 Depends: ${shlibs:Depends}, ${misc:Depends}, libllvm3.2
@@ -43,7 +44,7 @@
  This package contains the LLVM runtime library debug symbols.
 
 Package: llvm-3.2
-Architecture: any
+Architecture: amd64 i386
 Suggests: llvm-3.2-doc
 Depends: llvm-3.2-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: llvm-3.2-dev
@@ -75,7 +76,7 @@
  dragonegg.
 
 Package: llvm-3.2-runtime
-Architecture: any
+Architecture: amd64 i386
 Depends: binfmt-support, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: llvm (<< 2.7-1)
 Replaces: llvm (<< 2.7-1)
@@ -95,7 +96,7 @@
  format.
 
 Package: llvm-3.2-dev
-Architecture: any
+Architecture: amd64 i386
 Depends: ${shlibs:Depends}, libffi-dev (>= 3.0.9), ${misc:Depends}, llvm-3.2 (= ${binary:Version})
 Replaces: llvm (<< 2.2-3)
 Description: Low-Level Virtual Machine (LLVM), libraries and headers
@@ -115,7 +116,7 @@
 
 Package: libllvm-3.2-ocaml-dev
 Section: ocaml
-Architecture: any
+Architecture: amd64 i386
 Suggests: llvm-3.2-doc
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${ocaml:Depends}, llvm-3.2-dev (= ${binary:Version})
 Replaces: libllvm-ocaml-3.2-dev
