=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 TARGET_BUILD	:= $(CURDIR)/build-llvm
 SONAME_EXT      := 1
 LLVM_FULL_VERSION :=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.*),\1,p')
-LLVM_VERSION	:= $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-][^~]+).*,\1,p')
+LLVM_VERSION	:= $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+~]+).*,\1,p')
 LLVM_VERSION_WITH_MINOR	:= $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
 DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 OCAML_STDLIB_DIR    ?= $(shell ocamlc -where)
@@ -20,6 +20,7 @@
 --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 --with-binutils-include=/usr/include \
 --with-bug-report-url=http://bugs.debian.org/ \
+--enable-experimental-targets=R600 \
 --enable-shared
 
 %:
@@ -36,18 +37,21 @@
 
 override_dh_auto_build:
 	$(MAKE) $(NJOBS) -C $(TARGET_BUILD) VERBOSE=1
+	cd $(CURDIR)/docs && make -f Makefile.sphinx && make -f Makefile.sphinx man
 
 llvm_source_package:
 	# creation of llvm-X.Y-source
 	rm -rf debian/llvm-$(LLVM_VERSION)-source/usr/src/
 	mkdir -p debian/llvm-$(LLVM_VERSION)-source/usr/src/llvm-$(LLVM_VERSION)/
 	cp ../llvm-$(LLVM_VERSION)_$(LLVM_VERSION_WITH_MINOR).orig.tar.bz2 debian/llvm-$(LLVM_VERSION)-source/usr/src/llvm-$(LLVM_VERSION)/llvm-$(LLVM_VERSION).tar.bz2
+	set -ex; \
 	cd debian/llvm-$(LLVM_VERSION)-source/usr/src/llvm-$(LLVM_VERSION)/; \
 	echo "Unpack the origin archive"; \
 	tar jxf llvm-$(LLVM_VERSION).tar.bz2; \
 	mv $$(find . -maxdepth 1 -type d -iname 'llvm-$(LLVM_VERSION)*' -o -iname 'llvm.src') llvm-$(LLVM_VERSION); \
 	cd llvm-$(LLVM_VERSION); \
 		echo "Apply patches in the llvm-source package from $(CURDIR)/debian/patches/"; \
+		unset QUILT_PATCHES; \
 		quilt setup  --sourcedir $(CURDIR)/debian/patches/ $(CURDIR)/debian/patches/series; \
 		quilt push -a || exit 1; \
 		rm patches series ../llvm-$(LLVM_VERSION).tar.bz2; \
@@ -67,7 +71,9 @@
 	rm -f $(CURDIR)/debian/tmp/usr/lib/llvm-$(LLVM_VERSION)/share/man/man1/* $(CURDIR)/debian/tmp/usr/lib/llvm-$(LLVM_VERSION)-runtime/share/man/man1/*
 	$(MAKE) -C $(TARGET_BUILD)  VERBOSE=1 install DESTDIR=$(CURDIR)/debian/tmp/
 	chrpath -d `find $(CURDIR)/debian/tmp/usr/lib/llvm-$(LLVM_VERSION)/bin/ -type f -executable`
-	mv $(CURDIR)/debian/tmp/usr/lib/llvm-$(LLVM_VERSION)/lib/libLLVM-$(LLVM_VERSION)*.so $(CURDIR)/debian/tmp/usr/lib/llvm-$(LLVM_VERSION)/lib/libLLVM-$(LLVM_VERSION).so.$(SONAME_EXT)
+
+	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
+	mv $(CURDIR)/debian/tmp/usr/lib/llvm-$(LLVM_VERSION)/lib/libLLVM-$(LLVM_VERSION)*.so $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libLLVM-$(LLVM_VERSION).so.$(SONAME_EXT)
 
 # Rename binaries
 	mkdir -p $(CURDIR)/debian/tmp/usr/bin/
@@ -78,11 +84,11 @@
 	done
 
 # Rename manpages
-#	d=$(CURDIR)/debian/tmp/usr/lib/llvm-$(LLVM_VERSION)/share/man/man1; \
-#	cd $$d; \
-#	for f in *.1; do \
-#		echo "$$f"|grep "3\.1" || mv $$f `echo $$f|sed "s|\.1|-$(LLVM_VERSION).1|"`; \
-#	done
+	d=$(CURDIR)/docs/_build/man/; \
+	cd $$d; \
+	for f in *.1; do \
+		echo "$$f"|grep "3\.2" || mv $$f `echo $$f|sed "s|\.1|-$(LLVM_VERSION).1|"`; \
+	done
 	dh_auto_install
 
 override_dh_shlibdeps:
